{ config, pkgs, lib, ... }:
{
  services.postgresql = {
    enable = true;
    enableTCPIP = true; # Expose on the network
  };

  services.postgresqlBackup = {
    enable = true;
    location = "/backup/postgresql/";
    startAt = "*-*-* 03:15:00";
    backupAll = true;
  };


  environment.systemPackages = [ config.services.postgresql.package ];
}
